SoGLMultiTextureCoordinateElement Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoGLMultiTextureCoordinateElement Class Reference
Element Classes

The SoGLMultiTextureCoordinateElement class stores the current gltexture coordinates for several units. More...

`#include <Inventor/elements/SoGLMultiTextureCoordinateElement.h>`

Inherits SoMultiTextureCoordinateElement.

## Public Member Functions
virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | push (SoState *state)
| FIXME: write doc.
virtual void | pop (SoState *state, const SoElement *prevTopElement)
| FIXME: write doc.
virtual SoTextureCoordinateElement::CoordType | getType (const int unit) const
| FIXME: write doc.
void | send (const int unit, const int index) const
| FIXME: write doc.
void | send (const int unit, const int index, const SbVec3f &c, const SbVec3f &n) const
| FIXME: write doc.
void | initRender (const SbBool *enabled, const int maxenabled) const

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | setTexGen (SoState *const state, SoNode *const node, const int unit, SoTexCoordTexgenCB *const texgenFunc, void *const texgenData=NULL, SoTextureCoordinateFunctionCB *const func=NULL, void *const funcData=NULL)
| FIXME: write doc.
static const SoGLMultiTextureCoordinateElement * | getInstance (SoState *const state)
| FIXME: write doc.

## Protected Member Functions
| SoGLMultiTextureCoordinateElement (void)
virtual | ~SoGLMultiTextureCoordinateElement ()
virtual void | setElt (const int unit, SoTexCoordTexgenCB *func, void *data=NULL)
| FIXME: write doc.

## Detailed Description

The SoGLMultiTextureCoordinateElement class stores the current gltexture coordinates for several units.

## Constructor & Destructor Documentation

SoGLMultiTextureCoordinateElement::SoGLMultiTextureCoordinateElement | ( | void |  | ) |
| protected

The constructor.

SoGLMultiTextureCoordinateElement::~SoGLMultiTextureCoordinateElement | ( |  | ) |
| protectedvirtual

The destructor.

## Member Function Documentation

void * SoGLMultiTextureCoordinateElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoGLMultiTextureCoordinateElement::initClass | ( | void |  | ) |
| static

This static method initializes static data for the SoGLMultiTextureCoordinateElement class.

void SoGLMultiTextureCoordinateElement::initRender | ( | const SbBool * | enabled,
|  | const int | maxenabled
| ) |  | const

Internal method that is called from SoGLTextureCoordinateElement to set up optimized rendering.

The documentation for this class was generated from the following files:

- SoGLMultiTextureCoordinateElement.h
- SoGLMultiTextureCoordinateElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.